DEVICE_ADD(9)

NAME
device_add - add device to device hierarchy.

SYNOPSIS

int device_add (struct device * dev);

ARGUMENTS

dev device.

DESCRIPTION

This is part 2 of device_register, though may be called separately _iff_ device_initialize has been called separately.

This adds it to the kobject hierarchy via kobject_add, adds it to the global and sibling lists for the device, then adds it to the other relevant subsystems of the driver model.